<template>
  <div class="flex flex-col max-w-1440 mx-auto">
    <div class="flex flex-col md:flex-row">
      <MkInactiveLineitem />
      <MkAffirmAddressForm />
    </div>
    <div class="flex"><MkAffirmFooter /></div>
  </div>
</template>
<script>
import { mapState } from 'vuex'
import MkInactiveLineitem from '~/components/D2C/organisms/MkInactiveLineitem.vue'
import MkAffirmAddressForm from '~/components/D2C/organisms/MkAffirmAddressForm.vue'
import MkAffirmFooter from '~/components/D2C/organisms/MkAffirmFooter.vue'
export default {
  components: {
    MkInactiveLineitem,
    MkAffirmAddressForm,
    MkAffirmFooter,
  },
  layout: 'aurora-layout',
  middleware: 'auth',
  head() {
    return {
      title: 'Affirm Payment',
    }
  },
  computed: {
    ...mapState('USER_STORE', ['CUSTOMERID']),
  },
  async mounted() {
    if (this.$route.query.order) {
      const payload = {
        orderId: this.$route.query.order,
        customerId: this.$route.query.customer || this.CUSTOMERID,
      }
      await this.$store.dispatch(
        'CHECKOUT_STORE/GET_INACTIVE_SUBSCRIPTION',
        payload
      )
    }
  },
}
</script>
